package dk.vajhoej.record.edit;

import dk.vajhoej.record.FieldInfo;

class FieldLong extends FieldDecAndHex<Long> {
	private static final long serialVersionUID = 1L;
	public FieldLong(FieldInfo fi) {
		super(fi, new Convert<Long>() {
			public String toDec(Long v) {
				return Long.toString(v);
			}
			public Long fromDec(String v) {
				return Long.parseLong(v);
			}
			public String toHex(Long v) {
				return Long.toString(v, 16);
			}
			public Long fromHex(String v) {
				return Long.parseLong(v, 16);
			}
		});
	}
}